* {
    margin: 0;
    padding: 0;
}

.cabecalho {
    padding: 15px 25px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #8c0a9d;
}

.cartao {
    width: 260px;
    height: 200px;
}

.cartao-imagem {
    width: 100%;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    background-color: #ad86ab;
}

main {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.cabecalho-link {
    color: #b868ae;
    text-decoration: none;
}

h1 {
    color: #c76a9e;
    font-size: 24px;
}

footer {
    background-color: #a30bab;
    padding: 15px 25px;
    color: #d06cdc;
}

.cartao-interno {
    position: relative;
    transition: transform 0.8s;
    transform-style: preserve-3d;
}

.cartao:hover .cartao-interno {
    transform: rotateY(180deg);
}

.cartao-frente, .cartao-verso {
    position: absolute;
    border-radius: 12px;
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15);
    backface-visibility: hidden;
}

.cartao-verso {
    transform: rotateY(180deg);
}

section {
    display: flex;
    gap: 16px;
}
